#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,x,c;
    cin>>n>>x;
    int u,v=x,m=x;
    for(int i=n;i--;){
        cin>>u;
        if(u>v)
            v=u;
        else if(u<m)
            m=u;
    }
    if(x<0){
        x=sqrt(x*x);
        m=sqrt(m*m);
    }else if(m<0)
        m=sqrt(m*m);
    if(v<0)
        v=sqrt(v*v);
    if(v>x)
        v=v-x;
    else
        v=x-v;
    if(m>x)
        m=m-x;
    else
        m=x-m;
    if(v>m)
        c=m*2+v;
    else
        c=v*2+m;
    cout<<c;
    return 0;
}